PUPPET-MAN(8)

NAME
puppet-man - Display Puppet manual pages.

SYNOPSIS
puppet man action

DESCRIPTION
This subcommand displays manual pages for all Puppet subcommands. If the ronn gem (https://github.com/rtomayko/ronn/) is installed on your system, puppet man will display fully-formated man pages. If ronn is not available, puppet man will display the raw (but human-readable) source text in a pager.

OPTIONS
Note that any configuration parameter that's valid in the configuration file is also a valid long argument, although it may or may not be relevant to the present action. For example, server is a valid configuration parameter, so you can specify --server <servername> as an argument.

See the configuration file documentation at http://docs.puppetlabs.com/references/stable/configuration.html for the full list of acceptable parameters. A commented list of all configuration options can also be generated by running puppet with --genconfig.

--mode MODE
    The run mode to use for the current action. Valid modes are user, agent, and master.

--render-as FORMAT
    The format in which to render output. The most common formats are json, s (string), yaml, and console, but other options such as dot are sometimes available.

--verbose
    Whether to log verbosely.

--debug
    Whether to log debug information.

ACTIONS

man - Display the manual page for a Puppet subcommand.
    SYNOPSIS

    puppet man subcommand

    DESCRIPTION

    Display the manual page for a Puppet subcommand.

    RETURNS

    The man data, in Markdown format, suitable for consumption by Ronn.

    RENDERING ISSUES: To skip fancy formatting and output the raw Markdown text (e.g. for use in a pipeline), call this action with '--render-as s'.

EXAMPLES
man

View the manual page for a subcommand:

$ puppet man facts

NOTES
The pager used for display will be the first found of $MANPAGER, $PAGER, less, most, or more.

COPYRIGHT AND LICENSE
Copyright 2011 by Puppet Labs Apache 2 license; see COPYING